In this thesis we take several different analytic and numerical approaches to studying the classical J-K model. This model describes an interacting many-body system of spins with continuous symmetry which interact via 2-site nearest-neighbour exchange terms and 4-site ring-exchange terms. We begin by looking at the traditional solution of the XY model, in order to gain insight into the behaviour and general properties of the system. Classical Monte Carlo simulations will then be used to study the properties of the J-K model in different regimes of phase space. We will see that we can use properties from the theoretical solution of the XY model to study the Kosterlitz-Thouless phase transition numerically. We then extend our simulation to study the aspect ratio scaling of the superfluid density in the XY model. It will also be shown that there exists a finite temperature phase transition in the pure-K ring-exchange model. After this we will develop a mapping from the 1D quantum Bose-Hubbard model to the 2D J-K model and use this mapping to search for topological phases in classical Hamiltonians. However, we find that our mapping fails to reproduce the topological phase present in the quantum model. Finally we will look at the XY model using tools from information theory. A method for measuring mutual information in classical Monte Carlo simulations is developed. We then show that this measurement of mutual information can be used as a completely new way to identify the Kosterlitz-Thouless phase transition in Monte Carlo simulations.
In this thesis we take several different analytic and numerical approaches to studying the classical J-K model. This model describes an interacting many-body system of spins with continuous symmetry which interact via 2-site nearest-neighbour exchange terms and 4-site ring-exchange terms. We begin by looking at the traditional solution of the XY model, in order to gain insight into the behaviour and general properties of the system. Classical Monte Carlo simulations will then be used to study the properties of the J-K model in different regimes of phase space. We will see that we can use properties from the theoretical solution of the XY model to study the Kosterlitz-Thouless phase transition numerically. We then extend our simulation to study the aspect ratio scaling of the superfluid density in the XY model. It will also be shown that there exists a finite temperature phase transition in the pure-K ring-exchange model. After this we will develop a mapping from the 1D quantum Bose-Hubbard model to the 2D J-K model and use this mapping to search for topological phases in classical Hamiltonians. However, we find that our mapping fails to reproduce the topological phase present in the quantum model. Finally we will look at the XY model using tools from information theory. A method for measuring mutual information in classical Monte Carlo simulations is developed. We then show that this measurement of mutual information can be used as a completely new way to identify the Kosterlitz-Thouless phase transition in Monte Carlo simulations.
Spin-1/2 nearest neighbor Heisenberg antiferromagnet and XY model on a square lattice are studied via large scale quantum Monte Carlo simulations using a fast and efficient multispin coding algorithm on the Caltech/JPL MarkIIIfp parallel supercomputer, based on the Suzuki-Trotter transformation. We performed simulations with very good statistics on lattices as large as 128x128 spins, in the temperature range from 0.1 to 2.5 in units of the effective exchange coupling J. We calculated energy, specific heat, magnetic susceptibilities and also spin correlation functions from which we deduce the correlation lengths. For the Heisenberg model, at temperatures higher than J the results are in excellent agreement with high-temperature series expansion. At low temperatures the long wavelength behavior is essentially classical. Our data show that the correlation length and staggered susceptibility are quantitatively well described by the renormalized classical picture at the 2-loop level of approximation. From the divergence of the correlation length, we deduce the value of the quantum renormalized spin stiffness, [rho][subscript s]/J = 0.199(2). We give evidence that the correlation function is of the Ornstein-Zernicke type. By comparing the largest measured correlation lengths with neutron scattering experiments on La2CuO4, we deduce the value of effective exchange coupling J = 1450±30 K. By measuring the imaginary time-dependent correlation functions, we show that the dynamics of the model can be well understood within a Bose liquid-type picture. The spin waves are rather sharp throughout most of the Brillouin zone and the damping is weakly dependent on the wave vector. In the case of the XY model, convincing numerical evidence is obtained on square lattices as large as 96x96 that the spin-1/2 XY model undergoes a Kosterlitz-Thouless (KT) phase transition at kTc/J = 0.350(4). The correlation length and in-plane susceptibility diverge at Tc precisely according to the form predicted by Kosterlitz and Thouless for the classical XY model. The specific heat increases very rapidly on heating near Tc and exhibits a peak around kT/J = 0.45. We also measure the spin stiffness and the correlation function exponent below the transition temperature. Within the statistical accuracy of the measurements, the results are well described by the square root singularity (with a nonuniversal amplitude) below Tc, and they have the universal values in agreement with KT theory at Tc.
We have performed Monte Carlo (MC) simulations on systems of L\ifmmode\times\else\texttimes\fi{}L classical planar unit spins on square lattices, for L=6, 15, 30, 60, 90, and 200. The interaction between any two given spins S${\ensuremath{\rightarrow}}_{1}$ and S${\ensuremath{\rightarrow}}_{2}$ is given by -JS${\ensuremath{\rightarrow}}_{1}$\ensuremath{\cdot}S${\ensuremath{\rightarrow}}_{2}$ if S1 and S2 are nearest neighbors and vanishes otherwise. In order to make sure that our results correspond to equilibrium values, we have looked into the time-dependent properties of this model in the vicinity of critical temperature (Tc). We have found that the diffusion constant for vortex motion is given at Tc by D\ensuremath{\simeq}0.2 (in units of nearest-neighbor distance squared per MC step per spin). The values of the relaxation times follow from the value of D. Our computer running times were typically 105 MC steps per spin, larger than any relaxation time for the system sizes we deal with. We use a procedure based on finite-size scaling to establish the value of Tc=0.89J/kB, the value of \ensuremath{\nu}=0.5\ifmmode\pm\else\textpm\fi{}0.1, and the value of ${\ensuremath{\eta}}_{c}$=0.24\ifmmode\pm\else\textpm\fi{}0.03, in agreement with the values predicted by the Kosterlitz-Thouless theory.
This thesis presents computational studies of three different models of many-body physics with direct or indirect constraints. The presence of constraints in complex many-body systems calls for non-trivial numerical algorithms to study them. The first two models which have a direct form of local constraint are the Rokhsar-Kivelson Quantum Dimer model (QDM) and a classical statistical mechanics model of non-intersecting loops with attractive interactions, both on the square lattice. The investigations of such constrained models have found a recent resurgence with their direct realizations on Rydberg atom arrays quantum simulators. The study of the classical model uses a Monte Carlo directed loop algorithm while the QDM calls for a novel Quantum Monte Carlo scheme based on the framework of Stochastic Series Expansions called the Sweeping Cluster Algorithm (SCA). We present a modification of the SCA in order to render simulations fully ergodic at finite temperature. For both models, our numerical studies show the existence of a critical phase separated by a phase transition at finite temperature to an ordered phase of dimers or loops which spontaneously breaks certain lattice symmetries. We show that for the case where the interaction is attractive this phase transition is of Kosterlitz-Thouless type and can be understood by constructing a coarse-grained field theory through a height mapping. The finite temperature phase diagram of the QDM presents an unusual re-entrance behavior in the critical phase. The final part of this thesis deals with the role of non-abelian symmetries in the thermalization process of quantum many-body systems. We study the high-energy eigenstates of a SU(3) symmetric spin chain in presence of disorder. While the model does not directly have constraints, we perform exact diagonalization in a constrained basis of Young tableau making use of the full SU(3) symmetry of the model. By looking at the commonly used probes for thermalization (spectral statistics, distribution of local observables and scaling of entanglement entropy), we show that the model exhibits a non-ergodic regime over a broad range of system sizes for strong enough disorder, contrasting with the rapid thermalization observed at weak disorder.
This is a set of notes recalling some of the most important results on the XY model from the ground up. They are meant for a junior researcher wanting to get accustomed to the Kosterlitz-Thouless phase transition in the context of the 2D classical XY model. The connection to the 2D Coulomb gas is presented in detail, as well as the renormalization group flow obtained from this dual representation. A numerical Monte-Carlo approach to the classical XY model is presented. Finally, two physical setting that realize the celebrated Kosterlitz-Thouless phase transition are presented: superfluid and liquid crystal thin films.
Abstract In a two-dimensional (2D) spin system, the XY model, characterized by planar rotational symmetry, exhibits a unique phenomenon known as the Berezinskii–Kosterlitz–Thouless (BKT) transition. In contrast, the clock model, which introduces discrete rotational symmetry, exhibits the BKT transition at two different temperatures due to this discreteness. In this study, we numerically investigate the BKT transition for XY and six-state clock models over various 2D lattices. We employ two primary methods: the Monte Carlo method, which analyzes the size dependence of the ratio of the correlation functions for two different distances, and a machine-learning approach to classify the different phases—namely, the low-temperature ordered phase, the intermediate BKT phase, and the high-temperature disordered phase. We identify the BKT transition temperatures for the XY and six-state models on honeycomb, kagome, and diced lattices. Combined with the previously calculated data for the triangular lattice, we then compare these values with the second-order phase transition temperatures of the 2D Ising model, for which exact solutions are known. Our results indicate that the ratio of the BKT transition temperatures for each lattice relative to the Ising model transition temperatures are close, although the values are not universal.
Classical and quantum spin systems are widely used models in both experimental and theoretical condensed matter physics. In many materials, the electronic interactions can be difficult to model exactly. However, in some insulators (Mott insulators), the magnetic (spin) interactions can be captured well with spin-only models. Several models are studied in this thesis. First, I report the solution of a long-standing issue in a classical frustrated spin model (i.e., where the quantum effects are neglected and the complexity is due to competing interactions): the nature of the thermal phase transition to a stripe state in the two dimensional (2D) J1-J2 model. Here J1 and J2 are nearest- and next-nearest-neighbor couplings. Monte Carlo simulations with single-spin updates are used for the calculations, and an extended-ensemble method, a generalization of the Wang-Landau algorithm, is also developed and tested. I focus on the study of "weak universality" behavior (continuously varying critical exponents, with one of the exponents staying fixed), for which I show a correspondence with a known class of conformal field theories with charge c = 1. Next, moving to quantum spins, to shed light on magnetic systems studied experimentally and to investigate new types of quantum states of interest in developing theories of quantum magnetism, I study the S = 1/2 Heisenberg model on the 2D square lattice with added six-spin interactions (the so-called J-Q3 model) as well as a set of 3D quantum antiferromagnets on dimerized lattices. Here I use the stochastic series expansion quantum Monte Carlo method. In the study of the J-Q3 model, I report on a similar weak-universality behavior as in the classical J1-J2 model, but with a mapping to a different known class of c = 1 conformal field theories. The critical behavior of the system again shows continuously changing exponents, in a way which corresponds to a gradual weakening of Z4 symmetry-breaking to an emergent U(1) symmetry. In the study of dimerized antiferromagnets, I report on a universal behavior of the Néel temperature TN, which can be related to ground state parameters independently of the microscopic interaction details in several different models.